
Tripnet - Feature #94484
Agency top up payment gateway - Tripnet
03/26/2020 09:43 am - Sreerag Prasannan

Status: Fixed not Tested Start date: 07/16/2020
Priority: Normal Due date: 07/21/2020
Assignee: Jomiya J % Done: 100%
Category: Functionality Estimated time: 32.00 hours
Target version: QA Release Spent time: 32.00 hours
End_Date: 07/21/2020 Areas Affected: nill
remarks: nill Files Changed: 1. AgencyDetailDTO

2. Agencytopup.cshtml

3. shredhelperclass

4. DirectPaymentModel

5. PaymentHandler

6. images(b2b)

7. MyStyleCalibri.css

8. userjasoncontroller

9. admin/view/user/tappaymentgateway

10. common/settings.cs

11. dtos/paymentgatewat/tapdto
DB Changes: Table

*******

1. PaymentGatewayDetails



SP

****

1. InsertPaymentGatewayResponseMadaInitial Planned Hours: 32
Keys & Permissions: 		<!--NBK Payment keys-->

		<add key="NBKCurrency" value="KWD" />

		<add key="NBKSECRET_KEY" value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc1847368605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9da1d06d2f788643" />

		<add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />

		<add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />

		<add key="NBKMerchantname" value="Boodai" />

		<add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />

		<add key="NBKReturnURL" value="http://103.214.233.89/tripnet/en/Shared/PaymentResponse" />



		<!--NBK Payment keys-->



		<!--TAP PG Settings-->

		<add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>

		<add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   

		<add key="TapKnetMerchantId" value="1468581"/>

		<add key="TapCardMerchantId" value="1468581"/>

		<add key="TapMadaMerchantId" value="1498700"/>

		<add key="TapNewCurrency" value="KWD"/>

		<add key="TapMadaCurrency" value="SAR"/>

		<add key="TapCity" value="Delhi,India"/>

		<add key="TapReturnUrl" value="http://103.214.233.89/tripnet/en/Shared/PaymentResponse" />

		<!--TAP PG Settings	-->
Description

Bring all payment gateway in Tripnet from QGO

1) NBK Splitup
2) Tap Splitup
3) Tap Knet

History
#1 - 07/15/2020 04:19 pm - jijo g
- Due date set to 07/21/2020
- Status changed from New to Assigned
- Assignee set to Jomiya J
- Target version set to QA Release
- Start date changed from 03/26/2020 to 07/16/2020
- Estimated time set to 32.00
- Initial Planned Hours changed from 0 to 32

#2 - 07/16/2020 10:05 am - Jomiya J
- Status changed from Assigned to In Progress

#3 - 07/17/2020 07:21 pm - Jomiya J
- % Done changed from 0 to 40
- remarks set to nill
- DB Changes set to Table
*******
1. PaymentGatewayDetails

SP
****
1. InsertPaymentGatewayResponseMada
- Keys & Permissions set to   <!--TAP PG Settings-->
    <add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>
    <add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   
    <add key="TapKnetMerchantId" value="1468581"/>
    <add key="TapCardMerchantId" value="1468581"/>
    <add key="TapMadaMerchantId" value="1498700"/>
    <add key="TapNewCurrency" value="KWD"/>
    <add key="TapMadaCurrency" value="SAR"/>
    <add key="TapCity" value="Delhi,India"/>
    <add key="TapReturnUrl" value="http://{0}/{1}/Shared/PaymentResponse" />
    <!--TAP PG Settings-->
	<!--NBK Payment keys-->
    <add key="NBKCurrency" value="KWD" />
    <add key="NBKSECRET_KEY" 
value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc18473
68605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9
da1d06d2f788643" />
    <add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />
    <add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />
    <add key="NBKMerchantname" value="Boodai" />
    <add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />
    <add key="NBKReturnURL" value="http://{0}/{1}/Shared/PaymentResponse" />
    <!--NBK Payment keys-->
- Areas Affected set to nill
- Files Changed set to 1. AgencyDetailDTO
2. Agencytopup.cshtml
3. shredhelperclass
4. DirectPaymentModel
5. PaymentHandler
6. images(b2b)
7. MyStyleCalibri.css
8. userjasoncontroller
9. admin/view/user/tappaymentgateway
10. common/settings.cs
11. dtos/paymentgatewat/tapdto

nbk payment done successfully

#4 - 07/20/2020 07:28 pm - Jomiya J

tap code side completed need to check

#5 - 07/21/2020 08:17 pm - Jomiya J
- Status changed from In Progress to Fixed not Tested
- % Done changed from 40 to 100
- End_Date set to 07/21/2020
- Keys & Permissions changed from   <!--TAP PG Settings-->
    <add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>
    <add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   
    <add key="TapKnetMerchantId" value="1468581"/>
    <add key="TapCardMerchantId" value="1468581"/>
    <add key="TapMadaMerchantId" value="1498700"/>
    <add key="TapNewCurrency" value="KWD"/>
    <add key="TapMadaCurrency" value="SAR"/>
    <add key="TapCity" value="Delhi,India"/>
    <add key="TapReturnUrl" value="http://{0}/{1}/Shared/PaymentResponse" />
    <!--TAP PG Settings-->
	<!--NBK Payment keys-->
    <add key="NBKCurrency" value="KWD" />
    <add key="NBKSECRET_KEY" 
value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc18473
68605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9
da1d06d2f788643" />
    <add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />
    <add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />
    <add key="NBKMerchantname" value="Boodai" />
    <add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />
    <add key="NBKReturnURL" value="http://{0}/{1}/Shared/PaymentResponse" />
    <!--NBK Payment keys--> to 		<!--NBK Payment keys-->
		<add key="NBKCurrency" value="KWD" />
		<add key="NBKSECRET_KEY" 
value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc18473
68605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9
da1d06d2f788643" />
		<add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />
		<add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />
		<add key="NBKMerchantname" value="Boodai" />
		<add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />
		<add key="NBKReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKPaymentResponse" />
		<add key="NBKVDReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKVDPaymentResponse" />
		<add key="NBKVCReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKVCPaymentResponse" />
		<add key="NBKMDReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKMDPaymentResponse" />
		<add key="NBKMCReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKMCPaymentResponse" />
		<!--NBK Payment keys-->

		<!--TAP PG Settings-->
		<add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>
		<add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   
		<add key="TapKnetMerchantId" value="1468581"/>
		<add key="TapCardMerchantId" value="1468581"/>
		<add key="TapMadaMerchantId" value="1498700"/>
		<add key="TapNewCurrency" value="KWD"/>
		<add key="TapMadaCurrency" value="SAR"/>
		<add key="TapCity" value="Delhi,India"/>
		<add key="TapReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/PaymentResponse" />
		<add key="TapKnetReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapKnetPaymentResponse"/>
		<add key="TapCardReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapCardPaymentResponse"/>
		<add key="TapMadaReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapMadaPaymentResponse"/>		
		<add key="TapVDReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapVDPaymentResponse"/>
		<add key="TapVCReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapVCPaymentResponse"/>
		<add key="TapMDReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapMDPaymentResponse"/>
		<add key="TapMCReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapMCPaymentResponse"/>
		<!--TAP PG Settings	-->

Completed and published in 100

#6 - 07/23/2020 06:00 pm - Jomiya J
- Keys & Permissions changed from 		<!--NBK Payment keys-->
		<add key="NBKCurrency" value="KWD" />
		<add key="NBKSECRET_KEY" 
value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc18473
68605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9
da1d06d2f788643" />
		<add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />
		<add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />
		<add key="NBKMerchantname" value="Boodai" />
		<add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />
		<add key="NBKReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKPaymentResponse" />
		<add key="NBKVDReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKVDPaymentResponse" />
		<add key="NBKVCReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKVCPaymentResponse" />
		<add key="NBKMDReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKMDPaymentResponse" />
		<add key="NBKMCReturnURL" value="http://{0}/otolatv9/{1}/Shared/NBKMCPaymentResponse" />
		<!--NBK Payment keys-->

		<!--TAP PG Settings-->
		<add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>
		<add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   
		<add key="TapKnetMerchantId" value="1468581"/>
		<add key="TapCardMerchantId" value="1468581"/>
		<add key="TapMadaMerchantId" value="1498700"/>
		<add key="TapNewCurrency" value="KWD"/>
		<add key="TapMadaCurrency" value="SAR"/>
		<add key="TapCity" value="Delhi,India"/>
		<add key="TapReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/PaymentResponse" />
		<add key="TapKnetReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapKnetPaymentResponse"/>
		<add key="TapCardReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapCardPaymentResponse"/>
		<add key="TapMadaReturnUrl" value="http://103.214.233.89/otolatv9/en/Shared/TapMadaPaymentResponse"/>		
		<add key="TapVDReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapVDPaymentResponse"/>
		<add key="TapVCReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapVCPaymentResponse"/>
		<add key="TapMDReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapMDPaymentResponse"/>
		<add key="TapMCReturnURL" value="http://103.214.233.89/otolatv9/en/Shared/TapMCPaymentResponse"/>
		<!--TAP PG Settings	--> to 		<!--NBK Payment keys-->
		<add key="NBKCurrency" value="KWD" />
		<add key="NBKSECRET_KEY" 
value="49514e665a664b48baf5a7f8644a924afbc9b3afeaad423a8be01d0dec07efb76ff7836390fd49f78ec332c7b95030842c7ae41aae9240d5bc18473
68605d8c704d17badc1a040149321070f62428449d2d0746509004972b7bbbe3e5185099b42b8c980600a458185052f794c430c870907b26e960645df9
da1d06d2f788643" />
		<add key="NBKAccess_key" value="8bba8d54d4653726bf55d55b1efe4af4" />
		<add key="NBKProfile_id" value="992121AE-13A2-4E9D-BDB5-6B88FF3E9474" />
		<add key="NBKMerchantname" value="Boodai" />
		<add key="NBKRequestURL" value="https://testsecureacceptance.cybersource.com/pay" />
		<add key="NBKReturnURL" value="http://103.214.233.89/tripnet/en/Shared/PaymentResponse" />

		<!--NBK Payment keys-->

		<!--TAP PG Settings-->
		<add key="TapNewApiKey" value="sk_test_JP6DTsX7RWcBvEG1UflKj3kd"/>
		<add key="TapAuth_token" value="pk_test_nMC2UYZBDN64EKyVtq7PQdRc"/>   
		<add key="TapKnetMerchantId" value="1468581"/>
		<add key="TapCardMerchantId" value="1468581"/>
		<add key="TapMadaMerchantId" value="1498700"/>
		<add key="TapNewCurrency" value="KWD"/>
		<add key="TapMadaCurrency" value="SAR"/>
		<add key="TapCity" value="Delhi,India"/>
		<add key="TapReturnUrl" value="http://103.214.233.89/tripnet/en/Shared/PaymentResponse" />
		<!--TAP PG Settings	-->
